#### D.8.7.7 getWitnessSet

Procedure from library `recover.lib` (see recover_lib).

Usage:
  getWitnessSet();

Assume:
  There is a text-document "main_data" in the current directory which was produced by Bertini.
  The basefield is the field of real numbers or the field of complex numbers.

Return:
  list; a list P of lists p_i of numbers: P a set of witness points

Note:
  Reads the file "main_data", searches the strings containing the witness points, and converts them into floating point numbers.

Example:

    LIB "recover.lib";
    //First, we write the input file for bertini, then run bertini
    ring r=0,(x,y,z),dp;
    ideal I=(x-y)*(y-z)*(x-z);
    writeBertiniInput(I,40);
    system("sh","bertini input");
    //Then we change the ring and extract the witness set from main_data
    ring R=(complex,40,i),(x,y,z),dp;
    list P=getWitnessSet();
    P;

User manual for Singular version 4.4.1, 2025, generated by texi2html.